import { LogEntry } from '../types/index.js';
import 'pino';
import 'winston';

type SearchParams = {
    logFilePath: string;
    page: number;
    limit: number;
    logRegex: RegExp;
    level?: string;
    traceId?: string;
    appName?: string;
    message?: string;
    execution?: string;
    searchPayload?: string;
};
declare function parseLogFile(params: SearchParams): Promise<{
    total: number;
    data: LogEntry[];
}>;

export { parseLogFile };
